For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
ContactLearn More
GuidesReferenceSamplesLicenseChangelog
GuidesReferenceSamplesLicenseChangelog
  • SDKs
    • Overview
  • REST
      • PUTPublish entity
      • GETGet entity
      • PUTOverride entity
      • DELDelete entity override
      • POSTPoll entity events
      • STREAMStream entity events
  • gRPC
ContactLearn More
RESTEntities

Publish entity

PUT
https://example.developer.anduril.com/api/v1/entities
PUT
/api/v1/entities
$curl -X PUT https://example.developer.anduril.com/api/v1/entities \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "entityId": "string",
3 "description": "string",
4 "isLive": true,
5 "createdTime": "2024-01-15T09:30:00Z",
6 "expiryTime": "2024-01-15T09:30:00Z",
7 "noExpiry": true,
8 "status": {
9 "platformActivity": "string",
10 "role": "string"
11 },
12 "location": {
13 "position": {
14 "latitudeDegrees": 1.1,
15 "longitudeDegrees": 1.1,
16 "altitudeHaeMeters": 1.1,
17 "altitudeAglMeters": 1.1,
18 "altitudeAsfMeters": 1.1,
19 "pressureDepthMeters": 1.1
20 },
21 "velocityEnu": {
22 "e": 1.1,
23 "n": 1.1,
24 "u": 1.1
25 },
26 "speedMps": 1.1,
27 "acceleration": {
28 "e": 1.1,
29 "n": 1.1,
30 "u": 1.1
31 },
32 "attitudeEnu": {
33 "x": 1.1,
34 "y": 1.1,
35 "z": 1.1,
36 "w": 1.1
37 }
38 },
39 "locationUncertainty": {
40 "positionEnuCov": {
41 "mxx": 1.1,
42 "mxy": 1.1,
43 "mxz": 1.1,
44 "myy": 1.1,
45 "myz": 1.1,
46 "mzz": 1.1
47 },
48 "velocityEnuCov": {
49 "mxx": 1.1,
50 "mxy": 1.1,
51 "mxz": 1.1,
52 "myy": 1.1,
53 "myz": 1.1,
54 "mzz": 1.1
55 },
56 "positionErrorEllipse": {
57 "probability": 1.1,
58 "semiMajorAxisM": 1.1,
59 "semiMinorAxisM": 1.1,
60 "orientationD": 1.1
61 }
62 },
63 "geoShape": {
64 "point": {
65 "position": {
66 "latitudeDegrees": 1.1,
67 "longitudeDegrees": 1.1,
68 "altitudeHaeMeters": 1.1,
69 "altitudeAglMeters": 1.1,
70 "altitudeAsfMeters": 1.1,
71 "pressureDepthMeters": 1.1
72 }
73 },
74 "line": {
75 "positions": [
76 {
77 "latitudeDegrees": 1.1,
78 "longitudeDegrees": 1.1,
79 "altitudeHaeMeters": 1.1,
80 "altitudeAglMeters": 1.1,
81 "altitudeAsfMeters": 1.1,
82 "pressureDepthMeters": 1.1
83 }
84 ]
85 },
86 "polygon": {
87 "rings": [
88 {
89 "positions": [
90 {
91 "position": {
92 "latitudeDegrees": 1.1,
93 "longitudeDegrees": 1.1,
94 "altitudeHaeMeters": 1.1,
95 "altitudeAglMeters": 1.1,
96 "altitudeAsfMeters": 1.1,
97 "pressureDepthMeters": 1.1
98 },
99 "heightM": 1.1
100 }
101 ]
102 }
103 ],
104 "isRectangle": true
105 },
106 "ellipse": {
107 "semiMajorAxisM": 1.1,
108 "semiMinorAxisM": 1.1,
109 "orientationD": 1.1,
110 "heightM": 1.1
111 },
112 "ellipsoid": {
113 "forwardAxisM": 1.1,
114 "sideAxisM": 1.1,
115 "upAxisM": 1.1
116 }
117 },
118 "geoDetails": {
119 "type": "GEO_TYPE_INVALID",
120 "controlArea": {
121 "type": "CONTROL_AREA_TYPE_INVALID"
122 },
123 "acm": {
124 "acmType": "ACM_DETAIL_TYPE_INVALID",
125 "acmDescription": "string"
126 }
127 },
128 "aliases": {
129 "alternateIds": [
130 {
131 "id": "string",
132 "type": "ALT_ID_TYPE_INVALID"
133 }
134 ],
135 "name": "string"
136 },
137 "tracked": {
138 "trackQualityWrapper": 1,
139 "sensorHits": 1,
140 "numberOfObjects": {
141 "lowerBound": 1,
142 "upperBound": 1
143 },
144 "radarCrossSection": 1.1,
145 "lastMeasurementTime": "2024-01-15T09:30:00Z",
146 "lineOfBearing": {
147 "angleOfArrival": {
148 "relativePose": {
149 "pos": {
150 "lon": 1.1,
151 "lat": 1.1,
152 "alt": 1.1,
153 "is2d": true,
154 "altitudeReference": "ALTITUDE_REFERENCE_INVALID"
155 },
156 "attEnu": {
157 "x": 1.1,
158 "y": 1.1,
159 "z": 1.1,
160 "w": 1.1
161 }
162 },
163 "bearingElevationCovarianceRad2": {
164 "mxx": 1.1,
165 "mxy": 1.1,
166 "myy": 1.1
167 }
168 },
169 "rangeEstimateM": {
170 "value": 1.1,
171 "sigma": 1.1
172 },
173 "maxRangeM": {
174 "value": 1.1,
175 "sigma": 1.1
176 }
177 }
178 },
179 "correlation": {
180 "primary": {
181 "secondaryEntityIds": [
182 "string"
183 ]
184 },
185 "secondary": {
186 "primaryEntityId": "string",
187 "metadata": {
188 "provenance": {
189 "integrationName": "string",
190 "dataType": "string",
191 "sourceId": "string",
192 "sourceUpdateTime": "2024-01-15T09:30:00Z",
193 "sourceDescription": "string"
194 },
195 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
196 "type": "CORRELATION_TYPE_INVALID"
197 }
198 },
199 "membership": {
200 "correlationSetId": "string",
201 "primary": {},
202 "nonPrimary": {},
203 "metadata": {
204 "provenance": {
205 "integrationName": "string",
206 "dataType": "string",
207 "sourceId": "string",
208 "sourceUpdateTime": "2024-01-15T09:30:00Z",
209 "sourceDescription": "string"
210 },
211 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
212 "type": "CORRELATION_TYPE_INVALID"
213 }
214 },
215 "decorrelation": {
216 "all": {
217 "metadata": {
218 "provenance": {
219 "integrationName": "string",
220 "dataType": "string",
221 "sourceId": "string",
222 "sourceUpdateTime": "2024-01-15T09:30:00Z",
223 "sourceDescription": "string"
224 },
225 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
226 "type": "CORRELATION_TYPE_INVALID"
227 }
228 },
229 "decorrelatedEntities": [
230 {
231 "entityId": "string",
232 "metadata": {
233 "provenance": {
234 "integrationName": "string",
235 "dataType": "string",
236 "sourceId": "string",
237 "sourceUpdateTime": "2024-01-15T09:30:00Z",
238 "sourceDescription": "string"
239 },
240 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
241 "type": "CORRELATION_TYPE_INVALID"
242 }
243 }
244 ]
245 }
246 },
247 "milView": {
248 "disposition": "DISPOSITION_UNKNOWN",
249 "environment": "ENVIRONMENT_UNKNOWN",
250 "nationality": "NATIONALITY_INVALID"
251 },
252 "ontology": {
253 "platformType": "string",
254 "specificType": "string",
255 "template": "TEMPLATE_INVALID"
256 },
257 "sensors": {
258 "sensors": [
259 {
260 "sensorId": "string",
261 "operationalState": "OPERATIONAL_STATE_INVALID",
262 "sensorType": "SENSOR_TYPE_INVALID",
263 "sensorDescription": "string",
264 "rfConfiguraton": {
265 "frequencyRangeHz": [
266 {
267 "minimumFrequencyHz": {
268 "frequencyHz": {
269 "value": 1.1,
270 "sigma": 1.1
271 }
272 },
273 "maximumFrequencyHz": {
274 "frequencyHz": {
275 "value": 1.1,
276 "sigma": 1.1
277 }
278 }
279 }
280 ],
281 "bandwidthRangeHz": [
282 {
283 "minimumBandwidth": {
284 "bandwidthHz": 1.1
285 },
286 "maximumBandwidth": {
287 "bandwidthHz": 1.1
288 }
289 }
290 ]
291 },
292 "lastDetectionTimestamp": "2024-01-15T09:30:00Z",
293 "fieldsOfView": [
294 {
295 "fovId": 1,
296 "mountId": "string",
297 "projectedFrustum": {
298 "upperLeft": {
299 "latitudeDegrees": 1.1,
300 "longitudeDegrees": 1.1,
301 "altitudeHaeMeters": 1.1,
302 "altitudeAglMeters": 1.1,
303 "altitudeAsfMeters": 1.1,
304 "pressureDepthMeters": 1.1
305 },
306 "upperRight": {
307 "latitudeDegrees": 1.1,
308 "longitudeDegrees": 1.1,
309 "altitudeHaeMeters": 1.1,
310 "altitudeAglMeters": 1.1,
311 "altitudeAsfMeters": 1.1,
312 "pressureDepthMeters": 1.1
313 },
314 "bottomRight": {
315 "latitudeDegrees": 1.1,
316 "longitudeDegrees": 1.1,
317 "altitudeHaeMeters": 1.1,
318 "altitudeAglMeters": 1.1,
319 "altitudeAsfMeters": 1.1,
320 "pressureDepthMeters": 1.1
321 },
322 "bottomLeft": {
323 "latitudeDegrees": 1.1,
324 "longitudeDegrees": 1.1,
325 "altitudeHaeMeters": 1.1,
326 "altitudeAglMeters": 1.1,
327 "altitudeAsfMeters": 1.1,
328 "pressureDepthMeters": 1.1
329 }
330 },
331 "projectedCenterRay": {
332 "latitudeDegrees": 1.1,
333 "longitudeDegrees": 1.1,
334 "altitudeHaeMeters": 1.1,
335 "altitudeAglMeters": 1.1,
336 "altitudeAsfMeters": 1.1,
337 "pressureDepthMeters": 1.1
338 },
339 "centerRayPose": {
340 "pos": {
341 "latitudeDegrees": 1.1,
342 "longitudeDegrees": 1.1,
343 "altitudeHaeMeters": 1.1,
344 "altitudeAglMeters": 1.1,
345 "altitudeAsfMeters": 1.1,
346 "pressureDepthMeters": 1.1
347 },
348 "orientation": {
349 "x": 1.1,
350 "y": 1.1,
351 "z": 1.1,
352 "w": 1.1
353 }
354 },
355 "horizontalFov": 1.1,
356 "verticalFov": 1.1,
357 "range": 1.1,
358 "mode": "SENSOR_MODE_INVALID"
359 }
360 ]
361 }
362 ]
363 },
364 "payloads": {
365 "payloadConfigurations": [
366 {
367 "config": {
368 "capabilityId": "string",
369 "quantity": 1,
370 "effectiveEnvironment": [
371 "ENVIRONMENT_UNKNOWN"
372 ],
373 "payloadOperationalState": "PAYLOAD_OPERATIONAL_STATE_INVALID",
374 "payloadDescription": "string"
375 }
376 }
377 ]
378 },
379 "powerState": {
380 "sourceIdToState": {}
381 },
382 "provenance": {
383 "integrationName": "string",
384 "dataType": "string",
385 "sourceId": "string",
386 "sourceUpdateTime": "2024-01-15T09:30:00Z",
387 "sourceDescription": "string"
388 },
389 "overrides": {
390 "override": [
391 {
392 "requestId": "string",
393 "fieldPath": "string",
394 "maskedFieldValue": {
395 "entityId": "string",
396 "description": "string",
397 "isLive": true,
398 "createdTime": "2024-01-15T09:30:00Z",
399 "expiryTime": "2024-01-15T09:30:00Z",
400 "noExpiry": true,
401 "status": {
402 "platformActivity": "string",
403 "role": "string"
404 },
405 "location": {
406 "position": {
407 "latitudeDegrees": 1.1,
408 "longitudeDegrees": 1.1,
409 "altitudeHaeMeters": 1.1,
410 "altitudeAglMeters": 1.1,
411 "altitudeAsfMeters": 1.1,
412 "pressureDepthMeters": 1.1
413 },
414 "velocityEnu": {
415 "e": 1.1,
416 "n": 1.1,
417 "u": 1.1
418 },
419 "speedMps": 1.1,
420 "acceleration": {
421 "e": 1.1,
422 "n": 1.1,
423 "u": 1.1
424 },
425 "attitudeEnu": {
426 "x": 1.1,
427 "y": 1.1,
428 "z": 1.1,
429 "w": 1.1
430 }
431 },
432 "locationUncertainty": {
433 "positionEnuCov": {
434 "mxx": 1.1,
435 "mxy": 1.1,
436 "mxz": 1.1,
437 "myy": 1.1,
438 "myz": 1.1,
439 "mzz": 1.1
440 },
441 "velocityEnuCov": {
442 "mxx": 1.1,
443 "mxy": 1.1,
444 "mxz": 1.1,
445 "myy": 1.1,
446 "myz": 1.1,
447 "mzz": 1.1
448 },
449 "positionErrorEllipse": {
450 "probability": 1.1,
451 "semiMajorAxisM": 1.1,
452 "semiMinorAxisM": 1.1,
453 "orientationD": 1.1
454 }
455 },
456 "geoShape": {
457 "point": {
458 "position": {
459 "latitudeDegrees": 1.1,
460 "longitudeDegrees": 1.1,
461 "altitudeHaeMeters": 1.1,
462 "altitudeAglMeters": 1.1,
463 "altitudeAsfMeters": 1.1,
464 "pressureDepthMeters": 1.1
465 }
466 },
467 "line": {
468 "positions": [
469 {
470 "latitudeDegrees": 1.1,
471 "longitudeDegrees": 1.1,
472 "altitudeHaeMeters": 1.1,
473 "altitudeAglMeters": 1.1,
474 "altitudeAsfMeters": 1.1,
475 "pressureDepthMeters": 1.1
476 }
477 ]
478 },
479 "polygon": {
480 "rings": [
481 {
482 "positions": [
483 {
484 "position": {
485 "latitudeDegrees": 1.1,
486 "longitudeDegrees": 1.1,
487 "altitudeHaeMeters": 1.1,
488 "altitudeAglMeters": 1.1,
489 "altitudeAsfMeters": 1.1,
490 "pressureDepthMeters": 1.1
491 },
492 "heightM": 1.1
493 }
494 ]
495 }
496 ],
497 "isRectangle": true
498 },
499 "ellipse": {
500 "semiMajorAxisM": 1.1,
501 "semiMinorAxisM": 1.1,
502 "orientationD": 1.1,
503 "heightM": 1.1
504 },
505 "ellipsoid": {
506 "forwardAxisM": 1.1,
507 "sideAxisM": 1.1,
508 "upAxisM": 1.1
509 }
510 },
511 "geoDetails": {
512 "type": "GEO_TYPE_INVALID",
513 "controlArea": {
514 "type": "CONTROL_AREA_TYPE_INVALID"
515 },
516 "acm": {
517 "acmType": "ACM_DETAIL_TYPE_INVALID",
518 "acmDescription": "string"
519 }
520 },
521 "aliases": {
522 "alternateIds": [
523 {
524 "id": "string",
525 "type": "ALT_ID_TYPE_INVALID"
526 }
527 ],
528 "name": "string"
529 },
530 "tracked": {
531 "trackQualityWrapper": 1,
532 "sensorHits": 1,
533 "numberOfObjects": {
534 "lowerBound": 1,
535 "upperBound": 1
536 },
537 "radarCrossSection": 1.1,
538 "lastMeasurementTime": "2024-01-15T09:30:00Z",
539 "lineOfBearing": {
540 "angleOfArrival": {
541 "relativePose": {
542 "pos": {
543 "lon": 1.1,
544 "lat": 1.1,
545 "alt": 1.1,
546 "is2d": true,
547 "altitudeReference": "ALTITUDE_REFERENCE_INVALID"
548 },
549 "attEnu": {
550 "x": 1.1,
551 "y": 1.1,
552 "z": 1.1,
553 "w": 1.1
554 }
555 },
556 "bearingElevationCovarianceRad2": {
557 "mxx": 1.1,
558 "mxy": 1.1,
559 "myy": 1.1
560 }
561 },
562 "rangeEstimateM": {
563 "value": 1.1,
564 "sigma": 1.1
565 },
566 "maxRangeM": {
567 "value": 1.1,
568 "sigma": 1.1
569 }
570 }
571 },
572 "correlation": {
573 "primary": {
574 "secondaryEntityIds": [
575 "string"
576 ]
577 },
578 "secondary": {
579 "primaryEntityId": "string",
580 "metadata": {
581 "provenance": {
582 "integrationName": "string",
583 "dataType": "string",
584 "sourceId": "string",
585 "sourceUpdateTime": "2024-01-15T09:30:00Z",
586 "sourceDescription": "string"
587 },
588 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
589 "type": "CORRELATION_TYPE_INVALID"
590 }
591 },
592 "membership": {
593 "correlationSetId": "string",
594 "primary": {},
595 "nonPrimary": {},
596 "metadata": {
597 "provenance": {
598 "integrationName": "string",
599 "dataType": "string",
600 "sourceId": "string",
601 "sourceUpdateTime": "2024-01-15T09:30:00Z",
602 "sourceDescription": "string"
603 },
604 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
605 "type": "CORRELATION_TYPE_INVALID"
606 }
607 },
608 "decorrelation": {
609 "all": {
610 "metadata": {
611 "provenance": {
612 "integrationName": "string",
613 "dataType": "string",
614 "sourceId": "string",
615 "sourceUpdateTime": "2024-01-15T09:30:00Z",
616 "sourceDescription": "string"
617 },
618 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
619 "type": "CORRELATION_TYPE_INVALID"
620 }
621 },
622 "decorrelatedEntities": [
623 {
624 "entityId": "string",
625 "metadata": {
626 "provenance": {
627 "integrationName": "string",
628 "dataType": "string",
629 "sourceId": "string",
630 "sourceUpdateTime": "2024-01-15T09:30:00Z",
631 "sourceDescription": "string"
632 },
633 "replicationMode": "CORRELATION_REPLICATION_MODE_INVALID",
634 "type": "CORRELATION_TYPE_INVALID"
635 }
636 }
637 ]
638 }
639 },
640 "milView": {
641 "disposition": "DISPOSITION_UNKNOWN",
642 "environment": "ENVIRONMENT_UNKNOWN",
643 "nationality": "NATIONALITY_INVALID"
644 },
645 "ontology": {
646 "platformType": "string",
647 "specificType": "string",
648 "template": "TEMPLATE_INVALID"
649 },
650 "sensors": {
651 "sensors": [
652 {
653 "sensorId": "string",
654 "operationalState": "OPERATIONAL_STATE_INVALID",
655 "sensorType": "SENSOR_TYPE_INVALID",
656 "sensorDescription": "string",
657 "rfConfiguraton": {
658 "frequencyRangeHz": [
659 {
660 "minimumFrequencyHz": {
661 "frequencyHz": {
662 "value": 1.1,
663 "sigma": 1.1
664 }
665 },
666 "maximumFrequencyHz": {
667 "frequencyHz": {
668 "value": 1.1,
669 "sigma": 1.1
670 }
671 }
672 }
673 ],
674 "bandwidthRangeHz": [
675 {
676 "minimumBandwidth": {
677 "bandwidthHz": 1.1
678 },
679 "maximumBandwidth": {
680 "bandwidthHz": 1.1
681 }
682 }
683 ]
684 },
685 "lastDetectionTimestamp": "2024-01-15T09:30:00Z",
686 "fieldsOfView": [
687 {
688 "fovId": 1,
689 "mountId": "string",
690 "projectedFrustum": {
691 "upperLeft": {
692 "latitudeDegrees": 1.1,
693 "longitudeDegrees": 1.1,
694 "altitudeHaeMeters": 1.1,
695 "altitudeAglMeters": 1.1,
696 "altitudeAsfMeters": 1.1,
697 "pressureDepthMeters": 1.1
698 },
699 "upperRight": {
700 "latitudeDegrees": 1.1,
701 "longitudeDegrees": 1.1,
702 "altitudeHaeMeters": 1.1,
703 "altitudeAglMeters": 1.1,
704 "altitudeAsfMeters": 1.1,
705 "pressureDepthMeters": 1.1
706 },
707 "bottomRight": {
708 "latitudeDegrees": 1.1,
709 "longitudeDegrees": 1.1,
710 "altitudeHaeMeters": 1.1,
711 "altitudeAglMeters": 1.1,
712 "altitudeAsfMeters": 1.1,
713 "pressureDepthMeters": 1.1
714 },
715 "bottomLeft": {
716 "latitudeDegrees": 1.1,
717 "longitudeDegrees": 1.1,
718 "altitudeHaeMeters": 1.1,
719 "altitudeAglMeters": 1.1,
720 "altitudeAsfMeters": 1.1,
721 "pressureDepthMeters": 1.1
722 }
723 },
724 "projectedCenterRay": {
725 "latitudeDegrees": 1.1,
726 "longitudeDegrees": 1.1,
727 "altitudeHaeMeters": 1.1,
728 "altitudeAglMeters": 1.1,
729 "altitudeAsfMeters": 1.1,
730 "pressureDepthMeters": 1.1
731 },
732 "centerRayPose": {
733 "pos": {
734 "latitudeDegrees": 1.1,
735 "longitudeDegrees": 1.1,
736 "altitudeHaeMeters": 1.1,
737 "altitudeAglMeters": 1.1,
738 "altitudeAsfMeters": 1.1,
739 "pressureDepthMeters": 1.1
740 },
741 "orientation": {
742 "x": 1.1,
743 "y": 1.1,
744 "z": 1.1,
745 "w": 1.1
746 }
747 },
748 "horizontalFov": 1.1,
749 "verticalFov": 1.1,
750 "range": 1.1,
751 "mode": "SENSOR_MODE_INVALID"
752 }
753 ]
754 }
755 ]
756 },
757 "payloads": {
758 "payloadConfigurations": [
759 {
760 "config": {
761 "capabilityId": "string",
762 "quantity": 1,
763 "effectiveEnvironment": [
764 "ENVIRONMENT_UNKNOWN"
765 ],
766 "payloadOperationalState": "PAYLOAD_OPERATIONAL_STATE_INVALID",
767 "payloadDescription": "string"
768 }
769 }
770 ]
771 },
772 "powerState": {
773 "sourceIdToState": {}
774 },
775 "provenance": {
776 "integrationName": "string",
777 "dataType": "string",
778 "sourceId": "string",
779 "sourceUpdateTime": "2024-01-15T09:30:00Z",
780 "sourceDescription": "string"
781 },
782 "overrides": {
783 "override": [
784 null
785 ]
786 },
787 "indicators": {
788 "simulated": true,
789 "exercise": true,
790 "emergency": true,
791 "c2": true,
792 "egressable": true,
793 "starred": true
794 },
795 "targetPriority": {
796 "highValueTarget": {
797 "isHighValueTarget": true,
798 "targetPriority": 1,
799 "targetMatches": [
800 {
801 "highValueTargetListId": "string",
802 "highValueTargetDescriptionId": "string"
803 }
804 ],
805 "isHighPayoffTarget": true
806 },
807 "threat": {
808 "isThreat": true
809 }
810 },
811 "signal": {
812 "frequencyCenter": {
813 "frequencyHz": {
814 "value": 1.1,
815 "sigma": 1.1
816 }
817 },
818 "frequencyRange": {
819 "minimumFrequencyHz": {
820 "frequencyHz": {
821 "value": 1.1,
822 "sigma": 1.1
823 }
824 },
825 "maximumFrequencyHz": {
826 "frequencyHz": {
827 "value": 1.1,
828 "sigma": 1.1
829 }
830 }
831 },
832 "bandwidthHz": 1.1,
833 "signalToNoiseRatio": 1.1,
834 "lineOfBearing": {
835 "angleOfArrival": {
836 "relativePose": {
837 "pos": {
838 "lon": 1.1,
839 "lat": 1.1,
840 "alt": 1.1,
841 "is2d": true,
842 "altitudeReference": "ALTITUDE_REFERENCE_INVALID"
843 },
844 "attEnu": {
845 "x": 1.1,
846 "y": 1.1,
847 "z": 1.1,
848 "w": 1.1
849 }
850 },
851 "bearingElevationCovarianceRad2": {
852 "mxx": 1.1,
853 "mxy": 1.1,
854 "myy": 1.1
855 }
856 },
857 "rangeEstimateM": {
858 "value": 1.1,
859 "sigma": 1.1
860 },
861 "maxRangeM": {
862 "value": 1.1,
863 "sigma": 1.1
864 }
865 },
866 "fixed": {},
867 "emitterNotations": [
868 {
869 "emitterNotation": "string",
870 "confidence": 1.1
871 }
872 ],
873 "pulseWidthS": 1.1,
874 "pulseRepetitionInterval": {
875 "pulseRepetitionIntervalS": {
876 "value": 1.1,
877 "sigma": 1.1
878 }
879 },
880 "scanCharacteristics": {
881 "scanType": "SCAN_TYPE_INVALID",
882 "scanPeriodS": 1.1
883 }
884 },
885 "transponderCodes": {
886 "mode1": 1,
887 "mode2": 1,
888 "mode3": 1,
889 "mode4InterrogationResponse": "INTERROGATION_RESPONSE_INVALID",
890 "mode5": {
891 "mode5InterrogationResponse": "INTERROGATION_RESPONSE_INVALID",
892 "mode5": 1,
893 "mode5PlatformId": 1
894 },
895 "modeS": {
896 "id": "string",
897 "address": 1
898 },
899 "modeCAltitudeFt": 1
900 },
901 "dataClassification": {
902 "default": {
903 "level": "CLASSIFICATION_LEVELS_INVALID",
904 "caveats": [
905 "string"
906 ]
907 },
908 "fields": [
909 {
910 "fieldPath": "string",
911 "classificationInformation": {
912 "level": "CLASSIFICATION_LEVELS_INVALID",
913 "caveats": [
914 "string"
915 ]
916 }
917 }
918 ]
919 },
920 "taskCatalog": {
921 "taskDefinitions": [
922 {
923 "taskSpecificationUrl": "string"
924 }
925 ]
926 },
927 "media": {
928 "media": [
929 {
930 "itemIdentifier": "string",
931 "type": "MEDIA_TYPE_INVALID",
932 "relativePath": "string"
933 }
934 ]
935 },
936 "relationships": {
937 "relationships": [
938 {
939 "relatedEntityId": "string",
940 "relationshipId": "string",
941 "relationshipType": {
942 "trackedBy": {
943 "activelyTrackingSensors": {
944 "sensors": [
945 {
946 "sensorId": "string",
947 "operationalState": "OPERATIONAL_STATE_INVALID",
948 "sensorType": "SENSOR_TYPE_INVALID",
949 "sensorDescription": "string",
950 "rfConfiguraton": {
951 "frequencyRangeHz": [
952 {
953 "minimumFrequencyHz": {
954 "frequencyHz": {}
955 },
956 "maximumFrequencyHz": {
957 "frequencyHz": {}
958 }
959 }
960 ],
961 "bandwidthRangeHz": [
962 {
963 "minimumBandwidth": {
964 "bandwidthHz": {}
965 },
966 "maximumBandwidth": {
967 "bandwidthHz": {}
968 }
969 }
970 ]
971 },
972 "lastDetectionTimestamp": "2024-01-15T09:30:00Z",
973 "fieldsOfView": [
974 {
975 "fovId": 1,
976 "mountId": "string",
977 "projectedFrustum": {
978 "upperLeft": {
979 "latitudeDegrees": {},
980 "longitudeDegrees": {},
981 "altitudeHaeMeters": {},
982 "altitudeAglMeters": {},
983 "altitudeAsfMeters": {},
984 "pressureDepthMeters": {}
985 },
986 "upperRight": {
987 "latitudeDegrees": {},
988 "longitudeDegrees": {},
989 "altitudeHaeMeters": {},
990 "altitudeAglMeters": {},
991 "altitudeAsfMeters": {},
992 "pressureDepthMeters": {}
993 },
994 "bottomRight": {
995 "latitudeDegrees": {},
996 "longitudeDegrees": {},
997 "altitudeHaeMeters": {},
998 "altitudeAglMeters": {},
999 "altitudeAsfMeters": {},
1000 "pressureDepthMeters": {}
1001 },
1002 "bottomLeft": {
1003 "latitudeDegrees": {},
1004 "longitudeDegrees": {},
1005 "altitudeHaeMeters": {},
1006 "altitudeAglMeters": {},
1007 "altitudeAsfMeters": {},
1008 "pressureDepthMeters": {}
1009 }
1010 },
1011 "projectedCenterRay": {
1012 "latitudeDegrees": 1.1,
1013 "longitudeDegrees": 1.1,
1014 "altitudeHaeMeters": 1.1,
1015 "altitudeAglMeters": 1.1,
1016 "altitudeAsfMeters": 1.1,
1017 "pressureDepthMeters": 1.1
1018 },
1019 "centerRayPose": {
1020 "pos": {
1021 "latitudeDegrees": {},
1022 "longitudeDegrees": {},
1023 "altitudeHaeMeters": {},
1024 "altitudeAglMeters": {},
1025 "altitudeAsfMeters": {},
1026 "pressureDepthMeters": {}
1027 },
1028 "orientation": {
1029 "x": {},
1030 "y": {},
1031 "z": {},
1032 "w": {}
1033 }
1034 },
1035 "horizontalFov": 1.1,
1036 "verticalFov": 1.1,
1037 "range": 1.1,
1038 "mode": "SENSOR_MODE_INVALID"
1039 }
1040 ]
1041 }
1042 ]
1043 },
1044 "lastMeasurementTimestamp": "2024-01-15T09:30:00Z"
1045 },
1046 "groupChild": {},
1047 "groupParent": {},
1048 "mergedFrom": {},
1049 "activeTarget": {}
1050 }
1051 }
1052 ]
1053 },
1054 "visualDetails": {
1055 "rangeRings": {
1056 "minDistanceM": 1.1,
1057 "maxDistanceM": 1.1,
1058 "ringCount": 1,
1059 "ringLineColor": {
1060 "red": 1.1,
1061 "green": 1.1,
1062 "blue": 1.1,
1063 "alpha": 1.1
1064 }
1065 }
1066 },
1067 "dimensions": {
1068 "lengthM": 1.1
1069 },
1070 "routeDetails": {
1071 "destinationName": "string",
1072 "estimatedArrivalTime": "2024-01-15T09:30:00Z"
1073 },
1074 "schedules": {
1075 "schedules": [
1076 {
1077 "windows": [
1078 {
1079 "cronExpression": "string",
1080 "durationMillis": "string"
1081 }
1082 ],
1083 "scheduleId": "string",
1084 "scheduleType": "SCHEDULE_TYPE_INVALID"
1085 }
1086 ]
1087 },
1088 "health": {
1089 "connectionStatus": "CONNECTION_STATUS_INVALID",
1090 "healthStatus": "HEALTH_STATUS_INVALID",
1091 "components": [
1092 {
1093 "id": "string",
1094 "name": "string",
1095 "health": "HEALTH_STATUS_INVALID",
1096 "messages": [
1097 {
1098 "status": "HEALTH_STATUS_INVALID",
1099 "message": "string"
1100 }
1101 ],
1102 "updateTime": "2024-01-15T09:30:00Z"
1103 }
1104 ],
1105 "updateTime": "2024-01-15T09:30:00Z",
1106 "activeAlerts": [
1107 {
1108 "alertCode": "string",
1109 "description": "string",
1110 "level": "ALERT_LEVEL_INVALID",
1111 "activatedTime": "2024-01-15T09:30:00Z",
1112 "activeConditions": [
1113 {
1114 "conditionCode": "string",
1115 "description": "string"
1116 }
1117 ]
1118 }
1119 ]
1120 },
1121 "groupDetails": {
1122 "team": {},
1123 "echelon": {
1124 "armyEchelon": "ARMY_ECHELON_INVALID"
1125 }
1126 },
1127 "supplies": {
1128 "munitions": [
1129 {
1130 "munitionId": "string",
1131 "name": "string",
1132 "quantityUnits": 1
1133 }
1134 ],
1135 "fuel": [
1136 {
1137 "fuelId": "string",
1138 "name": "string",
1139 "reportedDate": "2024-01-15T09:30:00Z",
1140 "amountGallons": 1,
1141 "maxAuthorizedCapacityGallons": 1,
1142 "operationalRequirementGallons": 1,
1143 "dataClassification": {
1144 "default": {
1145 "level": "CLASSIFICATION_LEVELS_INVALID",
1146 "caveats": [
1147 "string"
1148 ]
1149 },
1150 "fields": [
1151 {
1152 "fieldPath": "string",
1153 "classificationInformation": {
1154 "level": "CLASSIFICATION_LEVELS_INVALID",
1155 "caveats": [
1156 "string"
1157 ]
1158 }
1159 }
1160 ]
1161 },
1162 "dataSource": "string"
1163 }
1164 ]
1165 },
1166 "orbit": {
1167 "orbitMeanElements": {
1168 "metadata": {
1169 "creationDate": "2024-01-15T09:30:00Z",
1170 "originator": "string",
1171 "messageId": "string",
1172 "refFrame": "ECI_REFERENCE_FRAME_INVALID",
1173 "refFrameEpoch": "2024-01-15T09:30:00Z",
1174 "meanElementTheory": "MEAN_ELEMENT_THEORY_INVALID"
1175 },
1176 "meanKeplerianElements": {
1177 "epoch": "2024-01-15T09:30:00Z",
1178 "semiMajorAxisKm": 1.1,
1179 "meanMotion": 1.1,
1180 "eccentricity": 1.1,
1181 "inclinationDeg": 1.1,
1182 "raOfAscNodeDeg": 1.1,
1183 "argOfPericenterDeg": 1.1,
1184 "meanAnomalyDeg": 1.1,
1185 "gm": 1.1
1186 },
1187 "tleParameters": {
1188 "ephemerisType": 1,
1189 "classificationType": "string",
1190 "noradCatId": 1,
1191 "elementSetNo": 1,
1192 "revAtEpoch": 1,
1193 "bstar": 1.1,
1194 "bterm": 1.1,
1195 "meanMotionDot": 1.1,
1196 "meanMotionDdot": 1.1,
1197 "agom": 1.1
1198 }
1199 }
1200 },
1201 "symbology": {
1202 "milStd2525C": {
1203 "sidc": "string"
1204 }
1205 }
1206 },
1207 "status": "OVERRIDE_STATUS_INVALID",
1208 "provenance": {
1209 "integrationName": "string",
1210 "dataType": "string",
1211 "sourceId": "string",
1212 "sourceUpdateTime": "2024-01-15T09:30:00Z",
1213 "sourceDescription": "string"
1214 },
1215 "type": "OVERRIDE_TYPE_INVALID",
1216 "requestTimestamp": "2024-01-15T09:30:00Z"
1217 }
1218 ]
1219 },
1220 "indicators": {
1221 "simulated": true,
1222 "exercise": true,
1223 "emergency": true,
1224 "c2": true,
1225 "egressable": true,
1226 "starred": true
1227 },
1228 "targetPriority": {
1229 "highValueTarget": {
1230 "isHighValueTarget": true,
1231 "targetPriority": 1,
1232 "targetMatches": [
1233 {
1234 "highValueTargetListId": "string",
1235 "highValueTargetDescriptionId": "string"
1236 }
1237 ],
1238 "isHighPayoffTarget": true
1239 },
1240 "threat": {
1241 "isThreat": true
1242 }
1243 },
1244 "signal": {
1245 "frequencyCenter": {
1246 "frequencyHz": {
1247 "value": 1.1,
1248 "sigma": 1.1
1249 }
1250 },
1251 "frequencyRange": {
1252 "minimumFrequencyHz": {
1253 "frequencyHz": {
1254 "value": 1.1,
1255 "sigma": 1.1
1256 }
1257 },
1258 "maximumFrequencyHz": {
1259 "frequencyHz": {
1260 "value": 1.1,
1261 "sigma": 1.1
1262 }
1263 }
1264 },
1265 "bandwidthHz": 1.1,
1266 "signalToNoiseRatio": 1.1,
1267 "lineOfBearing": {
1268 "angleOfArrival": {
1269 "relativePose": {
1270 "pos": {
1271 "lon": 1.1,
1272 "lat": 1.1,
1273 "alt": 1.1,
1274 "is2d": true,
1275 "altitudeReference": "ALTITUDE_REFERENCE_INVALID"
1276 },
1277 "attEnu": {
1278 "x": 1.1,
1279 "y": 1.1,
1280 "z": 1.1,
1281 "w": 1.1
1282 }
1283 },
1284 "bearingElevationCovarianceRad2": {
1285 "mxx": 1.1,
1286 "mxy": 1.1,
1287 "myy": 1.1
1288 }
1289 },
1290 "rangeEstimateM": {
1291 "value": 1.1,
1292 "sigma": 1.1
1293 },
1294 "maxRangeM": {
1295 "value": 1.1,
1296 "sigma": 1.1
1297 }
1298 },
1299 "fixed": {},
1300 "emitterNotations": [
1301 {
1302 "emitterNotation": "string",
1303 "confidence": 1.1
1304 }
1305 ],
1306 "pulseWidthS": 1.1,
1307 "pulseRepetitionInterval": {
1308 "pulseRepetitionIntervalS": {
1309 "value": 1.1,
1310 "sigma": 1.1
1311 }
1312 },
1313 "scanCharacteristics": {
1314 "scanType": "SCAN_TYPE_INVALID",
1315 "scanPeriodS": 1.1
1316 }
1317 },
1318 "transponderCodes": {
1319 "mode1": 1,
1320 "mode2": 1,
1321 "mode3": 1,
1322 "mode4InterrogationResponse": "INTERROGATION_RESPONSE_INVALID",
1323 "mode5": {
1324 "mode5InterrogationResponse": "INTERROGATION_RESPONSE_INVALID",
1325 "mode5": 1,
1326 "mode5PlatformId": 1
1327 },
1328 "modeS": {
1329 "id": "string",
1330 "address": 1
1331 },
1332 "modeCAltitudeFt": 1
1333 },
1334 "dataClassification": {
1335 "default": {
1336 "level": "CLASSIFICATION_LEVELS_INVALID",
1337 "caveats": [
1338 "string"
1339 ]
1340 },
1341 "fields": [
1342 {
1343 "fieldPath": "string",
1344 "classificationInformation": {
1345 "level": "CLASSIFICATION_LEVELS_INVALID",
1346 "caveats": [
1347 "string"
1348 ]
1349 }
1350 }
1351 ]
1352 },
1353 "taskCatalog": {
1354 "taskDefinitions": [
1355 {
1356 "taskSpecificationUrl": "string"
1357 }
1358 ]
1359 },
1360 "media": {
1361 "media": [
1362 {
1363 "itemIdentifier": "string",
1364 "type": "MEDIA_TYPE_INVALID",
1365 "relativePath": "string"
1366 }
1367 ]
1368 },
1369 "relationships": {
1370 "relationships": [
1371 {
1372 "relatedEntityId": "string",
1373 "relationshipId": "string",
1374 "relationshipType": {
1375 "trackedBy": {
1376 "activelyTrackingSensors": {
1377 "sensors": [
1378 {
1379 "sensorId": "string",
1380 "operationalState": "OPERATIONAL_STATE_INVALID",
1381 "sensorType": "SENSOR_TYPE_INVALID",
1382 "sensorDescription": "string",
1383 "rfConfiguraton": {
1384 "frequencyRangeHz": [
1385 {
1386 "minimumFrequencyHz": {
1387 "frequencyHz": {
1388 "value": 1.1,
1389 "sigma": 1.1
1390 }
1391 },
1392 "maximumFrequencyHz": {
1393 "frequencyHz": {
1394 "value": 1.1,
1395 "sigma": 1.1
1396 }
1397 }
1398 }
1399 ],
1400 "bandwidthRangeHz": [
1401 {
1402 "minimumBandwidth": {
1403 "bandwidthHz": 1.1
1404 },
1405 "maximumBandwidth": {
1406 "bandwidthHz": 1.1
1407 }
1408 }
1409 ]
1410 },
1411 "lastDetectionTimestamp": "2024-01-15T09:30:00Z",
1412 "fieldsOfView": [
1413 {
1414 "fovId": 1,
1415 "mountId": "string",
1416 "projectedFrustum": {
1417 "upperLeft": {
1418 "latitudeDegrees": 1.1,
1419 "longitudeDegrees": 1.1,
1420 "altitudeHaeMeters": 1.1,
1421 "altitudeAglMeters": 1.1,
1422 "altitudeAsfMeters": 1.1,
1423 "pressureDepthMeters": 1.1
1424 },
1425 "upperRight": {
1426 "latitudeDegrees": 1.1,
1427 "longitudeDegrees": 1.1,
1428 "altitudeHaeMeters": 1.1,
1429 "altitudeAglMeters": 1.1,
1430 "altitudeAsfMeters": 1.1,
1431 "pressureDepthMeters": 1.1
1432 },
1433 "bottomRight": {
1434 "latitudeDegrees": 1.1,
1435 "longitudeDegrees": 1.1,
1436 "altitudeHaeMeters": 1.1,
1437 "altitudeAglMeters": 1.1,
1438 "altitudeAsfMeters": 1.1,
1439 "pressureDepthMeters": 1.1
1440 },
1441 "bottomLeft": {
1442 "latitudeDegrees": 1.1,
1443 "longitudeDegrees": 1.1,
1444 "altitudeHaeMeters": 1.1,
1445 "altitudeAglMeters": 1.1,
1446 "altitudeAsfMeters": 1.1,
1447 "pressureDepthMeters": 1.1
1448 }
1449 },
1450 "projectedCenterRay": {
1451 "latitudeDegrees": 1.1,
1452 "longitudeDegrees": 1.1,
1453 "altitudeHaeMeters": 1.1,
1454 "altitudeAglMeters": 1.1,
1455 "altitudeAsfMeters": 1.1,
1456 "pressureDepthMeters": 1.1
1457 },
1458 "centerRayPose": {
1459 "pos": {
1460 "latitudeDegrees": 1.1,
1461 "longitudeDegrees": 1.1,
1462 "altitudeHaeMeters": 1.1,
1463 "altitudeAglMeters": 1.1,
1464 "altitudeAsfMeters": 1.1,
1465 "pressureDepthMeters": 1.1
1466 },
1467 "orientation": {
1468 "x": 1.1,
1469 "y": 1.1,
1470 "z": 1.1,
1471 "w": 1.1
1472 }
1473 },
1474 "horizontalFov": 1.1,
1475 "verticalFov": 1.1,
1476 "range": 1.1,
1477 "mode": "SENSOR_MODE_INVALID"
1478 }
1479 ]
1480 }
1481 ]
1482 },
1483 "lastMeasurementTimestamp": "2024-01-15T09:30:00Z"
1484 },
1485 "groupChild": {},
1486 "groupParent": {},
1487 "mergedFrom": {},
1488 "activeTarget": {}
1489 }
1490 }
1491 ]
1492 },
1493 "visualDetails": {
1494 "rangeRings": {
1495 "minDistanceM": 1.1,
1496 "maxDistanceM": 1.1,
1497 "ringCount": 1,
1498 "ringLineColor": {
1499 "red": 1.1,
1500 "green": 1.1,
1501 "blue": 1.1,
1502 "alpha": 1.1
1503 }
1504 }
1505 },
1506 "dimensions": {
1507 "lengthM": 1.1
1508 },
1509 "routeDetails": {
1510 "destinationName": "string",
1511 "estimatedArrivalTime": "2024-01-15T09:30:00Z"
1512 },
1513 "schedules": {
1514 "schedules": [
1515 {
1516 "windows": [
1517 {
1518 "cronExpression": "string",
1519 "durationMillis": "string"
1520 }
1521 ],
1522 "scheduleId": "string",
1523 "scheduleType": "SCHEDULE_TYPE_INVALID"
1524 }
1525 ]
1526 },
1527 "health": {
1528 "connectionStatus": "CONNECTION_STATUS_INVALID",
1529 "healthStatus": "HEALTH_STATUS_INVALID",
1530 "components": [
1531 {
1532 "id": "string",
1533 "name": "string",
1534 "health": "HEALTH_STATUS_INVALID",
1535 "messages": [
1536 {
1537 "status": "HEALTH_STATUS_INVALID",
1538 "message": "string"
1539 }
1540 ],
1541 "updateTime": "2024-01-15T09:30:00Z"
1542 }
1543 ],
1544 "updateTime": "2024-01-15T09:30:00Z",
1545 "activeAlerts": [
1546 {
1547 "alertCode": "string",
1548 "description": "string",
1549 "level": "ALERT_LEVEL_INVALID",
1550 "activatedTime": "2024-01-15T09:30:00Z",
1551 "activeConditions": [
1552 {
1553 "conditionCode": "string",
1554 "description": "string"
1555 }
1556 ]
1557 }
1558 ]
1559 },
1560 "groupDetails": {
1561 "team": {},
1562 "echelon": {
1563 "armyEchelon": "ARMY_ECHELON_INVALID"
1564 }
1565 },
1566 "supplies": {
1567 "munitions": [
1568 {
1569 "munitionId": "string",
1570 "name": "string",
1571 "quantityUnits": 1
1572 }
1573 ],
1574 "fuel": [
1575 {
1576 "fuelId": "string",
1577 "name": "string",
1578 "reportedDate": "2024-01-15T09:30:00Z",
1579 "amountGallons": 1,
1580 "maxAuthorizedCapacityGallons": 1,
1581 "operationalRequirementGallons": 1,
1582 "dataClassification": {
1583 "default": {
1584 "level": "CLASSIFICATION_LEVELS_INVALID",
1585 "caveats": [
1586 "string"
1587 ]
1588 },
1589 "fields": [
1590 {
1591 "fieldPath": "string",
1592 "classificationInformation": {
1593 "level": "CLASSIFICATION_LEVELS_INVALID",
1594 "caveats": [
1595 "string"
1596 ]
1597 }
1598 }
1599 ]
1600 },
1601 "dataSource": "string"
1602 }
1603 ]
1604 },
1605 "orbit": {
1606 "orbitMeanElements": {
1607 "metadata": {
1608 "creationDate": "2024-01-15T09:30:00Z",
1609 "originator": "string",
1610 "messageId": "string",
1611 "refFrame": "ECI_REFERENCE_FRAME_INVALID",
1612 "refFrameEpoch": "2024-01-15T09:30:00Z",
1613 "meanElementTheory": "MEAN_ELEMENT_THEORY_INVALID"
1614 },
1615 "meanKeplerianElements": {
1616 "epoch": "2024-01-15T09:30:00Z",
1617 "semiMajorAxisKm": 1.1,
1618 "meanMotion": 1.1,
1619 "eccentricity": 1.1,
1620 "inclinationDeg": 1.1,
1621 "raOfAscNodeDeg": 1.1,
1622 "argOfPericenterDeg": 1.1,
1623 "meanAnomalyDeg": 1.1,
1624 "gm": 1.1
1625 },
1626 "tleParameters": {
1627 "ephemerisType": 1,
1628 "classificationType": "string",
1629 "noradCatId": 1,
1630 "elementSetNo": 1,
1631 "revAtEpoch": 1,
1632 "bstar": 1.1,
1633 "bterm": 1.1,
1634 "meanMotionDot": 1.1,
1635 "meanMotionDdot": 1.1,
1636 "agom": 1.1
1637 }
1638 }
1639 },
1640 "symbology": {
1641 "milStd2525C": {
1642 "sidc": "string"
1643 }
1644 }
1645}
Publish an entity for ingest into the Entities API. Entities created with this method are "owned" by the originator: other sources, such as the UI, may not edit or delete these entities. The server validates entities at API call time and returns an error if the entity is invalid. An entity ID must be provided when calling this endpoint. If the entity referenced by the entity ID does not exist then it will be created. Otherwise the entity will be updated. An entity will only be updated if its provenance.sourceUpdateTime is greater than the provenance.sourceUpdateTime of the existing entity.
Was this page helpful?
Previous

Get entity

Next

Publish an entity for ingest into the Entities API. Entities created with this method are “owned” by the originator: other sources, such as the UI, may not edit or delete these entities. The server validates entities at API call time and returns an error if the entity is invalid.

An entity ID must be provided when calling this endpoint. If the entity referenced by the entity ID does not exist then it will be created. Otherwise the entity will be updated. An entity will only be updated if its provenance.sourceUpdateTime is greater than the provenance.sourceUpdateTime of the existing entity.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
entityIdstringOptional

A Globally Unique Identifier (GUID) for your entity. This is a required field.

descriptionstringOptional

A human-readable entity description that’s helpful for debugging purposes and human traceability. If this field is empty, the Entity Manager API generates one for you.

isLivebooleanOptional
Indicates the entity is active and should have a lifecycle state of CREATE or UPDATE. Set this field to true when publishing an entity.
createdTimedatetimeOptional
The time when the entity was first known to the entity producer. If this field is empty, the Entity Manager API uses the current timestamp of when the entity is first received. For example, when a drone is first powered on, it might report its startup time as the created time. The timestamp doesn't change for the lifetime of an entity.
expiryTimedatetimeOptional

Future time that expires an entity and updates the is_live flag. For entities that are constantly updating, the expiry time also updates. In some cases, this may differ from is_live. Example: Entities with tasks exported to an external system must remain active even after they expire. This field is required when publishing a prepopulated entity. The expiry time must be in the future, but less than 30 days from the current time.

noExpirybooleanOptional

Use noExpiry only when the entity contains information that should be available to other tasks or integrations beyond its immediate operational context. For example, use noExpiry for long-living geographical entities that maintain persistent relevance across multiple operations or tasks.

statusobjectOptional

Human-readable descriptions of what the entity is currently doing.

locationobjectOptional
Geospatial data related to the entity, including its position, kinematics, and orientation.
locationUncertaintyobjectOptional
Indicates uncertainty of the entity's position and kinematics.
geoShapeobjectOptional
Geospatial representation of the entity, including entities that cover an area rather than a fixed point.
geoDetailsobjectOptional
Additional details on what the geospatial area or point represents, along with visual display details.
aliasesobjectOptional
Entity name displayed in the Lattice UI side panel. Also includes identifiers that other systems can use to reference the same entity.
trackedobjectOptional
If this entity is tracked by another entity, this component contains data related to how it's being tracked.
correlationobjectOptional
If this entity has been correlated or decorrelated to another one, this component contains information on the correlation or decorrelation.
milViewobjectOptional
View of the entity.
ontologyobjectOptional
Ontology defines an entity's categorization in Lattice, and improves data retrieval and integration. Builds a standardized representation of the entity.
sensorsobjectOptional
Details an entity's available sensors.
payloadsobjectOptional
Details an entity's available payloads.
powerStateobjectOptional
Details the entity's power source.
provenanceobjectOptional
The primary data source provenance for this entity.
overridesobjectOptional
Provenance of override data.
indicatorsobjectOptional

Describes an entity’s specific characteristics and the operations that can be performed on the entity. For example, “simulated” informs the operator that the entity is from a simulation, and “deletable” informs the operator (and system) that the delete operation is valid against the entity.

targetPriorityobjectOptional

The prioritization associated with an entity, such as if it’s a threat or a high-value target.

signalobjectOptional
Describes an entity's signal characteristics, primarily used when an entity is a signal of interest.
transponderCodesobjectOptional

A message describing any transponder codes associated with Mode 1, 2, 3, 4, 5, S, C interrogations. These are related to ADS-B modes.

dataClassificationobjectOptional
Describes an entity's security classification levels at an overall classification level and on a per field level.
taskCatalogobjectOptional
A catalog of tasks that can be performed by an entity.
mediaobjectOptional
Media associated with an entity, such as videos, images, or thumbnails.
relationshipsobjectOptional

The relationships between this entity and other entities in the common operational picture (COP).

visualDetailsobjectOptional
Visual details associated with the display of an entity in the client.
dimensionsobjectOptional
Physical dimensions of the entity.
routeDetailsobjectOptional
Additional information about an entity's route.
schedulesobjectOptional
Schedules associated with this entity.
healthobjectOptional
Health metrics or connection status reported by the entity.
groupDetailsobjectOptional
Details for the group associated with this entity.
suppliesobjectOptional
Contains relevant supply information for the entity, such as fuel.
orbitobjectOptional
Orbit information for space objects.
symbologyobjectOptional

Symbology/iconography for the entity respecting an existing standard.

Response

The request was valid and accepted.
entityIdstring

A Globally Unique Identifier (GUID) for your entity. This is a required field.

descriptionstring

A human-readable entity description that’s helpful for debugging purposes and human traceability. If this field is empty, the Entity Manager API generates one for you.

isLiveboolean
Indicates the entity is active and should have a lifecycle state of CREATE or UPDATE. Set this field to true when publishing an entity.
createdTimedatetime
The time when the entity was first known to the entity producer. If this field is empty, the Entity Manager API uses the current timestamp of when the entity is first received. For example, when a drone is first powered on, it might report its startup time as the created time. The timestamp doesn't change for the lifetime of an entity.
expiryTimedatetime

Future time that expires an entity and updates the is_live flag. For entities that are constantly updating, the expiry time also updates. In some cases, this may differ from is_live. Example: Entities with tasks exported to an external system must remain active even after they expire. This field is required when publishing a prepopulated entity. The expiry time must be in the future, but less than 30 days from the current time.

noExpiryboolean

Use noExpiry only when the entity contains information that should be available to other tasks or integrations beyond its immediate operational context. For example, use noExpiry for long-living geographical entities that maintain persistent relevance across multiple operations or tasks.

statusobject

Human-readable descriptions of what the entity is currently doing.

locationobject
Geospatial data related to the entity, including its position, kinematics, and orientation.
locationUncertaintyobject
Indicates uncertainty of the entity's position and kinematics.
geoShapeobject
Geospatial representation of the entity, including entities that cover an area rather than a fixed point.
geoDetailsobject
Additional details on what the geospatial area or point represents, along with visual display details.
aliasesobject
Entity name displayed in the Lattice UI side panel. Also includes identifiers that other systems can use to reference the same entity.
trackedobject
If this entity is tracked by another entity, this component contains data related to how it's being tracked.
correlationobject
If this entity has been correlated or decorrelated to another one, this component contains information on the correlation or decorrelation.
milViewobject
View of the entity.
ontologyobject
Ontology defines an entity's categorization in Lattice, and improves data retrieval and integration. Builds a standardized representation of the entity.
sensorsobject
Details an entity's available sensors.
payloadsobject
Details an entity's available payloads.
powerStateobject
Details the entity's power source.
provenanceobject
The primary data source provenance for this entity.
overridesobject
Provenance of override data.
indicatorsobject

Describes an entity’s specific characteristics and the operations that can be performed on the entity. For example, “simulated” informs the operator that the entity is from a simulation, and “deletable” informs the operator (and system) that the delete operation is valid against the entity.

targetPriorityobject

The prioritization associated with an entity, such as if it’s a threat or a high-value target.

signalobject
Describes an entity's signal characteristics, primarily used when an entity is a signal of interest.
transponderCodesobject

A message describing any transponder codes associated with Mode 1, 2, 3, 4, 5, S, C interrogations. These are related to ADS-B modes.

dataClassificationobject
Describes an entity's security classification levels at an overall classification level and on a per field level.
taskCatalogobject
A catalog of tasks that can be performed by an entity.
mediaobject
Media associated with an entity, such as videos, images, or thumbnails.
relationshipsobject

The relationships between this entity and other entities in the common operational picture (COP).

visualDetailsobject
Visual details associated with the display of an entity in the client.
dimensionsobject
Physical dimensions of the entity.
routeDetailsobject
Additional information about an entity's route.
schedulesobject
Schedules associated with this entity.
healthobject
Health metrics or connection status reported by the entity.
groupDetailsobject
Details for the group associated with this entity.
suppliesobject
Contains relevant supply information for the entity, such as fuel.
orbitobject
Orbit information for space objects.
symbologyobject

Symbology/iconography for the entity respecting an existing standard.

Errors

400
Bad Request Error
401
Unauthorized Error